<template>
  <div class='stake container'>
    <div class='stake__content'>
      <h2 class='base-title'>{{ $t('title') }}</h2>
      <p>{{ $t('text') }}
      </p>
      <a href='https://www.tbcc.com/lock' target='_blank'>
        <base-button id='start-stake'>
          {{ $t('startBtn') }}
        </base-button>
      </a>
    </div>
    <div class='stake__img'>
      <icon-stake class='stake__img-icon' />
    </div>
  </div>
</template>

<script>
import BaseButton from '../base/BaseButton'
import IconStake from '../icon/IconStake'
export default {
  components: { IconStake, BaseButton }
}
</script>

<i18n>
{
  "en": {
    "title": "Stake with freedom",
    "text": "Purchase TBCC and earn passive income daily. Staking with the App allows you to earn rewards on your crypto assets in just a few clicks.",
    "startBtn": "Start staking"
  },
  "ch": {
    "title": "Stake with freedom ",
    "text": "购买TBCC，每天赚取被动收入。使用该应用程序进行赌注，只需点击几下，就可以赚取加密货币资产的奖励。",
    "startBtn": "开始权益质押"
  },
  "tur": {
    "title": "Stake with freedom",
    "text": "Purchase TBCC and earn passive income daily. Staking with the App allows you to earn rewards on your crypto assets in just a few clicks.",
    "startBtn": "Start staking"
  }
}
</i18n>


<style lang='scss' scoped>
.stake {
  display: flex;
  align-items: center;
  flex-direction: column;

  @media (min-width: 768px) {
    flex-direction: row;
  }

  &__content,
  &__img {
    flex: 0 0 100%;
    max-width: 100%;

    @media (min-width: 768px) {
      flex: 0 0 50%;
      max-width: 50%;
    }
  }

  &__content {
    @media (max-width: 767px) {
      order: 1;
      text-align: center;
      position: relative;
      top: -55px;
    }

    p {
      color: #6983AB;
      font-weight: 400;
      font-size: 16px;
      line-height: 24px;
      margin: 0 0 35px;
      max-width: 317px;

      @media (min-width: 768px) {
        font-size: 16px;
        line-height: 26px;
        max-width: 460px;
      }

      @media (min-width: 1200px) {
        font-size: 18px;
        line-height: 28px;
        max-width: 460px;
      }
    }

    button {
      background-color: #051345;
    }
  }

  &__img-icon {
    position: relative;
    max-width: 608px;
    max-height: 467px;
    min-height: 393px;
    min-width: 501px;
    width: 100%;
    height: 100%;
    left: 50%;
    transform: translateX(-50%);



    @media (min-width: 768px) {
      min-height: 393px;
      min-width: 501px;
      max-width: 702px;
      max-height: 550px;
      left: -50px;
      transform: none;
    }

    @media (min-width: 840px) {
      min-height: 393px;
      min-width: 501px;
      left: -20px;
    }


    @media (min-width: 1200px) {
      width: 702px;
      height: 550px;
      left: -80px;
    }
  }
}

.base-title {
  font-weight: 700;
  font-size: 36px;
  margin: 0 0 35px;

  @media (min-width: 1024px) {
    font-size: 45px;

  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}
</style>
